<?php

declare(strict_types=1);

namespace App\Providers;

use App\View\Components\Badge;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\Blade;
use Illuminate\Support\ServiceProvider;
use App\Http\View\Composers\UserNotificationComposer;

/**
 * Class ViewServiceProvider
 *
 * @package App\Providers
 */
final class ViewServiceProvider extends ServiceProvider
{
    /**
     *
     */
    public function register(): void
    {

    }

    /**
     *
     */
    public function boot(): void
    {
        Blade::component(Badge::class, 'badge');

        View::composer([
                'partials.navbar',
            ],
            UserNotificationComposer::class
        );
    }
}
